Driver Scoring / Coaching Upload a driver from csv file
Run in Apidog
Endpoint to upload a new driver(s) from *.csv file. The file should have the following titles of a head row: "first_name", "last_name", "email", "group", "card_id". User Role Permissions# The following table shows which user roles are allowed to send requests using this API endpoint. Role Permission Partner Partner View Custom Partner Fleet Manager Group Manager User Custom User
Request Body Params multipart/form-data
Request Code Samples
curl --location --request PUT 'https://fleet.roscolive.com/api/v1.0/driver/upload' \
--form 'file=@""' \
--form 'company_id=""' \
--form 'send_qr_code=""' Responses application/json
Generate Code
{
"meta" : {
"code" : 200
} ,
"response" : {
"error" : [ ] ,
"message" : "1 out of 1 were created successfully!"
} ,
"result" : "OK"
}
Modified at 2026-07-07 19:28:34